//This is the main shader script I use for my lights + decals..

textures/ut_subway/ad_zfzad_02_bord
{
       qer_editorimage textures/ut_subway/ad_zfzad_02_bord.tga
       qer_trans 0.5
surfaceparm nonsolid
        surfaceparm alphashadow
       polygonOffset
       sort 6
       {
               map textures/ut_subway/ad_zfzad_02_bord.tga
               blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
               depthWrite
               rgbGen identity
       }
}

textures/IDRC/Surprise
{
       qer_editorimage textures/IDRC/Surprise.tga
       qer_trans 0.5
surfaceparm nonsolid
        surfaceparm alphashadow
       polygonOffset
       sort 6
       {
               map textures/IDRC/Surprise.tga
               blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
               depthWrite
               rgbGen identity
       }
}

textures/evil_1/light_x_trm //wall liner light
{
	q3map_lightimage textures/evil_1/light_x_trm.tga
	qer_editorimage	textures/evil_1/light_x_trm.tga
	q3map_surfacelight 2500
        q3map_lightRGB 1 1 1
        q3map_lightsubdivide 128
        surfaceparm nomarks
    {
        map $lightmap
    }
    {
        map textures/evil_1/light_x_trm.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/evil_1/light_x_trm.tga
        blendFunc GL_ONE GL_ONE
    }
} 
textures/ut_subway/metal_bright_lamp //lobby room
{
	q3map_lightimage textures/ut_subway/metal_bright_lamp.tga
	qer_editorimage	textures/ut_subway/metal_bright_lamp.tga
	q3map_surfacelight 50000
        q3map_lightRGB 1 1 1
        q3map_lightsubdivide 128
        surfaceparm nomarks
    {
        map $lightmap
    }
    {
        map textures/ut_subway/metal_bright_lamp.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/ut_subway/metal_bright_lamp.tga
        blendFunc GL_ONE GL_ONE
    }
} 

textures/ut_subway/metal_bright_lamp_dim //lobby room
{
	q3map_lightimage textures/ut_subway/metal_bright_lamp_dim.tga
	qer_editorimage	textures/ut_subway/metal_bright_lamp_dim.tga
	q3map_surfacelight 3000
        q3map_lightRGB 1 1 1
        q3map_lightsubdivide 128
        surfaceparm nomarks
    {
        map $lightmap
    }
    {
        map textures/ut_subway/metal_bright_lamp_dim.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/ut_subway/metal_bright_lamp_dim.tga
        blendFunc GL_ONE GL_ONE
    }
} 

textures/ut_subway/sublight02 //cargo bay ceiling light
{
	q3map_lightimage textures/ut_subway/sublight02_glow.tga
	qer_editorimage	textures/ut_subway/sublight02.tga
	q3map_surfacelight 15000
        q3map_lightRGB 1 1 1
        q3map_lightsubdivide 128
        surfaceparm nomarks
    {
        map $lightmap
    }
    {
        map textures/ut_subway/sublight02.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/ut_subway/sublight02_glow.tga
        blendFunc GL_ONE GL_ONE
    }
} 

textures/ut_subway/sublight02_main //main hall ceiling light
{
	q3map_lightimage textures/ut_subway/sublight02_glow.tga
	qer_editorimage	textures/ut_subway/sublight02_main.tga
	q3map_surfacelight 30000
        q3map_lightRGB 1 1 1
        q3map_lightsubdivide 128
        surfaceparm nomarks
    {
        map $lightmap
    }
    {
        map textures/ut_subway/sublight02_main.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/ut_subway/sublight02_glow.tga
        blendFunc GL_ONE GL_ONE
    }
} 
textures/ut_subway/sublight03 //spawn entrance light pair
{
	q3map_lightimage textures/ut_subway/sublight03_glow.tga
	qer_editorimage	textures/ut_subway/sublight03.tga
	q3map_surfacelight 7000
        q3map_lightRGB 0.988 1 0.780
        q3map_lightsubdivide 128
        surfaceparm nomarks
    {
        map $lightmap
    }
    {
        map textures/ut_subway/sublight03.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/ut_subway/sublight03_glow.tga
        blendFunc GL_ONE GL_ONE
    }
} 
textures/ut_subway/sublight04 //tunnel ceiling lights
{
	q3map_lightimage textures/ut_subway/sublight04_glow.tga
	qer_editorimage	textures/ut_subway/sublight04.tga
	q3map_surfacelight 15000
        q3map_lightRGB 0.988 1 0.780
        q3map_lightsubdivide 128
        surfaceparm nomarks
    {
        map $lightmap
    }
    {
        map textures/ut_subway/sublight04.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/ut_subway/sublight04_glow.tga
        blendFunc GL_ONE GL_ONE
    }
} 

textures/ut_subway/sublight04_elevator //tunnel ceiling lights
{
	q3map_lightimage textures/ut_subway/sublight04_glow.tga
	qer_editorimage	textures/ut_subway/sublight04_elevator.tga
	q3map_surfacelight 60000
        q3map_lightRGB 0.988 1 0.780
        q3map_lightsubdivide 128
        surfaceparm nomarks
    {
        map $lightmap
    }
    {
        map textures/ut_subway/sublight04_elevator.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/ut_subway/sublight04_glow.tga
        blendFunc GL_ONE GL_ONE
    }
} 

textures/ut_swim/ceiling_light1_grid_off 
{
	q3map_lightimage textures/ut_swim/ceiling_light1_grid.tga
	qer_editorimage	textures/ut_swim/ceiling_light1_grid_off.tga
	q3map_surfacelight 5000
        q3map_lightRGB 1 1 1
        q3map_lightsubdivide 128
        q3map_backSplash 0.5 64
        surfaceparm nomarks
    {
        map $lightmap
    }
    {
        map textures/ut_swim/ceiling_light1_grid_off.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/ut_swim/ceiling_light1_grid.tga
        blendFunc GL_ONE GL_ONE
    }
} 

textures/ut_swim/ceiling_light1_grid_off_dim 
{
	q3map_lightimage textures/ut_swim/ceiling_light1_grid.tga
	qer_editorimage	textures/ut_swim/ceiling_light1_grid_off.tga
	q3map_surfacelight 3500
        q3map_lightRGB 1 1 1
        q3map_lightsubdivide 128
        q3map_backSplash 0.5 64
        surfaceparm nomarks
    {
        map $lightmap
    }
    {
        map textures/ut_swim/ceiling_light1_grid_off.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/ut_swim/ceiling_light1_grid.tga
        blendFunc GL_ONE GL_ONE
    }
} 

textures/ut_subway/sublight03_yel //hall lining
{
	q3map_lightimage textures/ut_subway/sublight03_glow2.tga
	qer_editorimage	textures/ut_subway/sublight03_yel.tga
	q3map_surfacelight 25000
        q3map_lightRGB 0.988 1 0.780
        q3map_lightsubdivide 128
        surfaceparm nomarks
    {
        map $lightmap
    }
    {
        map textures/ut_subway/sublight03_yel.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/ut_subway/sublight03_glow2.tga
        blendFunc GL_ONE GL_ONE
    }
} 
