// q3map _foghull shaders - ydnar

textures/ut_swamp/fog
{
	qer_trans 0.75
	qer_editorimage textures/ut_swamp/swampfog.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm trans
	surfaceparm fog
	sort additive
	//q3map_surfacelight 500
	// !!FOG!!
	fogparms ( 0.807843137254902 0.807843137254902 0.807843137254902 ) 1200

}

textures/ut_swamp/foghull_grey
{
	qer_editorimage textures/ut_swamp/grey/fogsky_up.tga
	surfaceparm nolightmap
	surfaceparm noimpact
	q3map_sun .3 .3 .5 200 65 78
	q3map_surfacelight 75
	q3map_globaltexture
	q3map_lightsubdivide 512
	surfaceparm sky  // !!SKY!!
	skyparms textures/ut_swamp/grey/fogsky 0 -
}


textures/ut_swamp/fog_old
{
	surfaceparm nodlight
	q3map_lightimage textures/ut_swamp/swampfog.tga
	qer_editorimage textures/ut_swamp/swampfog.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm fog
	fogparms ( 0.807843137254902 0.807843137254902 0.807843137254902 ) 1200
	{
		map textures/ut_swamp/swampfog.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{
		map textures/ut_swamp/swampfog.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}

textures/ut_swamp/swamp_water
{
	qer_editorimage textures/ut_swamp/swamp_water.tga
	tessSize 512
	surfaceparm trans
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
	sort sky
	cull disable
	
	{	
		map textures/ut_swamp/swamp_water.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod turb 0.2 0.2 0.2 .2 
	}

	{
		map textures/ut_swamp/swamp_water.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod turb 0 0.2 2 .2
	}	
	
}

textures/ut_swamp/blueflare
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/ut_swamp/blueflare.tga
            blendFunc GL_ONE GL_ONE
          }
}


textures/ut_swamp/fogsky
{
	qer_editorimage textures/ut_swamp/fogsky_up.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun .3 .3 .5 200 65 78
	q3map_surfacelight 75
	q3map_globaltexture
	q3map_lightsubdivide 512
	skyparms env/ut_swamp/fullmoon 256 -
}
textures/ut_swamp/barbedwire
{
	qer_editor_image textures/ut_swamp/barbedwire.tga
	cull disable
	surfaceParm nolightmap
	surfaceParm noimpact
	surfaceParm nonsolid
	
	{
		map textures/ut_swamp/barbedwire.tga
		alphaFunc GE128
	}
}
textures/ut_swamp/grass
{
	q3map_nonplanar
	q3map_shadeangle 80
	{
		map $lightmap
		rgbGen identity
	}
	{
	map textures/ut_swamp/grass.tga
	blendFunc GL_DST_COLOR GL_ZERO
	rgbGen identity
	}
}		

textures/ut_swamp/swamp_ladder
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
}


textures/ut_swamp/tattered_cloth
// stolen from BBQ from Rommel  =)

{
	qer_editor_image textures/ut_swamp/tattered_cloth.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm trans
      surfaceparm nomarks
      surfaceparm nonsolid
	surfaceparm noimpact
	cull disable
	{
		map textures/ut_swamp/tattered_cloth.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_swamp/ut_swampempty
{

	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm trans
      surfaceparm nomarks
      surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nodraw

}

textures/ut_swamp/plainglass
{
	//qer_trans 0.40
	surfaceparm nolightmap
	cull disable

	{
		map textures/ut_swamp/plainglass.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
      }
}
	

